From 1901f1aaf0685726be6cdefcb837ce2f198034a9 Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Thu, 13 Jun 2019 17:51:39 +0200
Subject: [PATCH 1/2] build-style/go: make do_install() really fail on errors.

This fixes detection of some go packages (doctl) that are
simply empty because it couldn't find the binaries in $GOPATH/bin.

Still affected packages must be fixed, doctl being one of them.
---
 common/build-style/go.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/common/build-style/go.sh b/common/build-style/go.sh
index 98f95bea2e5..f6b772c7704 100644
--- a/common/build-style/go.sh
+++ b/common/build-style/go.sh
@@ -41,8 +41,7 @@ do_build() {
 }
 
 do_install() {
-	find "${GOPATH}/bin" -type f -executable | while read line
-	do
-		vbin "${line}"
+	for f in "$(find "${GOPATH}/bin" -type f -executable)"; do
+		vbin "$f"
 	done
 }

From e3c550e9b6e3cf1d878fedf649dd7fdfd7879e2e Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Thu, 13 Jun 2019 19:52:03 +0200
Subject: [PATCH 2/2] build-style/go: fix quoting, found by @huglovefan.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 common/build-style/go.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/common/build-style/go.sh b/common/build-style/go.sh
index f6b772c7704..5552792169d 100644
--- a/common/build-style/go.sh
+++ b/common/build-style/go.sh
@@ -41,7 +41,7 @@ do_build() {
 }
 
 do_install() {
-	for f in "$(find "${GOPATH}/bin" -type f -executable)"; do
+	for f in $(find "${GOPATH}/bin" -type f -executable); do
 		vbin "$f"
 	done
 }
